Cannot install to Ebox 2300: Linux crashes on boot

and other offical x86 platforms like e-boxes and fitPC

Moderator: Mattk

Post Reply
jmcafee
Junior Boarder
Junior Boarder
Posts: 26
Joined: Sun Nov 11, 2012 12:11 pm

Cannot install to Ebox 2300: Linux crashes on boot

Post by jmcafee » Sun Nov 11, 2012 12:42 pm

Trying to install to a new Ebox 2300 with a Vortex86 SX processor. A 4GB CF card is plugged into the Ebox.

Successful image of v4.9 (also tried v4.7) to a 4GB USB stick (multiple times) with the "Official" x86 images.

Linux boot begins with blue screen showing "Install Meteohub", followed by:
Loading linux ...
Loading initrg.gz....ready.

Then there is a big dump that ends in a Call trace, followed by "Kernel panic - not synching: Attempted to kill the idle task!"

Does your linux build not support the Vorex86 SX? There is plenty of mention of Vortex86 hardware support. This processor doesn't have an FPU but there is no mention that an FPU is required -- just the Vortex86 SoC.

Thank you for your help.

User avatar
admin
Platinum Boarder
Platinum Boarder
Posts: 5879
Joined: Mon Oct 01, 2007 10:51 pm

Re: Cannot install to Ebox 2300: Linux crashes on boot

Post by admin » Sun Nov 11, 2012 8:05 pm

ebox 2300SX is not supported, ebox2300 is. ebox2300 is incredible slow (on NSLU2 level) compared to the other platforms.

As you state correctly the SX branch does not have a FPU whch causes the Linux stack Meteohub resides on to break. I did some tests with the SX in the very beginning, but this unit is incredibly slow, so even when it might boot, you won't have fun with it.

In hardware section of Meteohub wiki it says regarding ebox2300 "x86 system based on Vortex86 (486-compatible)". I think this is very clear, it says nothing about a Vertex86SX and it states 486 compatibility, which the SX does not provide.

jmcafee
Junior Boarder
Junior Boarder
Posts: 26
Joined: Sun Nov 11, 2012 12:11 pm

Re: Cannot install to Ebox 2300: Linux crashes on boot

Post by jmcafee » Mon Nov 12, 2012 3:00 am

Thanks for confirming what I suspected.

What isn't clear from the hardware description is that the Ebox 2300 that you indicate that is compatible is not the same as the Ebox 2300 sold today. I really didn't anticipate that when I bought the Ebox that the SoC would be different, even though the model number is the same.

I suggest that you modify your hardware description to indicate that the new Ebox 2300 sold today with the Vortex86SX is NOT compatible.

jmcafee
Junior Boarder
Junior Boarder
Posts: 26
Joined: Sun Nov 11, 2012 12:11 pm

Re: Cannot install to Ebox 2300: Linux crashes on boot

Post by jmcafee » Mon Nov 12, 2012 3:10 am

This is from the WDL Systems web site (USA distributor of the eBox), on the eBox 2300 that I bought:
"VESA-PC with Vortex86SX 486-class processor, onboard 128MB DDR2 memory, Compact Flash slot, 3xUSB 2.0 ports (2 in Front), 10/100MBps LAN, ultra low power, fanless design, RoHS compliant."

So again, indicating the eBox is 486 compatible, it was reasonable to assume this met your requirement of a 486 processor.

User avatar
admin
Platinum Boarder
Platinum Boarder
Posts: 5879
Joined: Mon Oct 01, 2007 10:51 pm

Re: Cannot install to Ebox 2300: Linux crashes on boot

Post by admin » Mon Nov 12, 2012 6:43 pm

Sorry, if this was misleading to you. I will make it even clearer in the wiki.

Just to bing that discussion to an end, it is well known that the 486 has the FPU onboard and that there are the 486SX variants, which have FPU disabled resp not on the die. The vendor you are citing is also not telling lies when they say "Vortex86SX 486-class processor" and they do not say to my knowledge that it is "486 compatble". The SX is in the 486 class, but it lacks the FPU. I am with you, that this could be made more clear, I will do in the Meteohub wiki.

boltonpece
Fresh Boarder
Fresh Boarder
Posts: 1
Joined: Thu Apr 16, 2015 8:27 am

Re: Cannot install to Ebox 2300: Linux crashes on boot

Post by boltonpece » Thu Apr 16, 2015 8:28 am

Does your linux build not support the Vorex86 SX? There is plenty of mention of Vortex86 hardware support. This processor doesn't have an FPU but there is no mention that an FPU is required -- just the Vortex86 SoC.

User avatar
admin
Platinum Boarder
Platinum Boarder
Posts: 5879
Joined: Mon Oct 01, 2007 10:51 pm

Re: Cannot install to Ebox 2300: Linux crashes on boot

Post by admin » Thu Apr 16, 2015 10:16 pm

To my knowledge the SX is not supported. Regular ebox2300 has been, but not the ebox2300SX.
But these boxes are very old and I do no longer actively support them. Please have a look at
supported hardware thread here: viewtopic.php?f=14&t=9745

Post Reply